#include "Image.h"
#include "PngWriter.h"

#include "File.h"
#include "BitStream.h"
#include "ImagePrimitives.h"

#include <iostream>

int main()
{
    unsigned width = 20;
    unsigned height = 20;
    unsigned numChannels = 1;
    auto image = Image<unsigned char>::Create(width, height);
    image->setNumChannels(numChannels);
    image->setBitDepth(8);

    std::vector<unsigned char> data(width*height, 0);
    for (unsigned idx=0; idx<width*height; idx++)
    {
        unsigned char val = 255 * idx /(width*height);
        data[idx] = val;
    }

    image->setData(data);

    PngWriter writer;
    writer.setPath("test.png");
    writer.write(image);

    return 0;
    File test_file("test.png");
    test_file.SetAccessMode(File::AccessMode::Read);
    test_file.Open(true);

    while(auto byte = test_file.readNextByte())
    {
        std::cout << static_cast<unsigned>(*byte) << std::endl;
    }
    test_file.Close();

    return 0;
}
